create table Eis (name varchar(255), kalorien int, farbe varchar(100), primary key (name));
 
create table Eisdiele (name VARCHAR(255), ort VARCHAR(255), 
 strasse varchar(255), besitzer varchar(255), aussenverkauf boolean, 
 specialEis varchar(255) NOT NULL, primary key(name), 
 foreign key (specialEis) REFERENCES Eis(name));
 
create table EisdieleVerkauftEis(dielenName varchar(255), eisName varchar(255),
 preis real, PRIMARY KEY (dielenName, eisName),
 FOREIGN KEY (dielenName) 
 REFERENCES Eisdiele (name),
 foreign key (eisName) REFERENCES Eis(name));
 
 insert into Eis (name, farbe, kalorien)
 values
 ('Schokolade', 'braun', 398),
('Vanille', 'weiß', 384),
('Erdbeere', 'rot', 123),
('Haselnuss', 'braun', 323),
('Stracciatella', 'weiß', 324),
('Joghurt', 'weiß', 342),
('Sahne-Kirsch (Amarena)', 'rot', 323),
('Himbeere', 'rot', 342),
('Mango', 'gelb', 315);
 
 insert into Eisdiele 
 VALUES  
 ('Marios Eiseck', 'Mainz', 'Kaiserstr', 'Maik Schneider', true, 'Schokolade'),
 ('Lecker Schmecker', 'Wiesbaden', 'Unter den Eichen', 'Mohamed Mueller', false, 'Mango'),
 ('Kuehle Muehle', 'Mainz', 'Am Kaestrich', 'Lisa Schneier', true, 'Vanille');
 
 
 insert into EisdieleVerkauftEis Values
 ('Marios Eiseck', 'Schokolade', 0.99 ),
 ('Marios Eiseck', 'Vanille', 1),
 ('Marios Eiseck', 'Stracciatella', 1.10),
 ('Marios Eiseck', 'Mango', 1.10),
 ('Lecker Schmecker', 'Schokolade', 1),
 ('Lecker Schmecker', 'Vanille', 1.10),
 ('Lecker Schmecker',  'Stracciatella', 1.00),
 ('Lecker Schmecker', 'Himbeere', 0.80),
 ('Kuehle Muehle', 'Schokolade', 1.50),
 ('Kuehle Muehle', 'Vanille', 2.00),
 ('Kuehle Muehle', 'Stracciatella', 1.80 );
 